# NanoBlogger Recent Entries List Plugin
# List Recent entries
#
# sample code for templates, based off the default stylesheet
#
# <div class="sidetitle">
# Recent Entries/Older Entries
# </div>
# <div class="side">
# $NB_Recent_Entries/$NB_Older_Entries
# </div>

# set how many entries to list
: ${INCLUDELIST_ENTRIES:=5}
: ${INCLUDELIST_OFFSET:=1}
: ${INCLUDELIST_TEMPLATE:=includelist_entry.htm}
: ${INCLUDES_DIR:=includes}

category_dir=`set_smartlinktitle "$cat_arch" cat`
mkdir -p "$BLOG_DIR/$INCLUDES_DIR"
PLUGIN_OUTFILE="$BLOG_DIR/$INCLUDES_DIR/$category_dir.inc"

# always sort in reverse chronological order so recent entries
# stay near the top of the list
if [ "$CHRON_ORDER" != 1 ]; then
	INCLUDELIST_SORTARGS="-ru"
else
	INCLUDELIST_SORTARGS=
fi

nb_msg "$plugins_action included entries page ..."
set_baseurl "./"

echo > "$PLUGIN_OUTFILE"

query_db all "$cat_arch" limit "$INCLUDELIST_ENTRIES" "" "$INCLUDELIST_SORTARGS"
for entry in ${DB_RESULTS[*]}; do
    load_metadata NOBODY "$NB_DATA_DIR/$entry"
	set_entrylink "$entry"
    load_template "$NB_TEMPLATE_DIR/$INCLUDELIST_TEMPLATE"
    echo "$TEMPLATE_DATA" >> "$PLUGIN_OUTFILE"
done
